require 'powertrack_v2/rule'
require 'powertrack_v2/stream'
require 'powertrack_v2/http'
require 'powertrack_v2/errors'

module PowerTrackV2
  def self.stream_url(publisher, account, stream_label)
    PowerTrackV2::Stream.url(publisher, account, stream_label)
  end

  def self.rules_url(publisher, account, stream_label)
    PowerTrackV2::Rule.url(publisher, account, stream_label)
  end

  def self.add_rules(url, rules, optional_headers = {})
    PowerTrackV2::Rule.post(url, rules, optional_headers)
  end

  def self.remove_rules(url, rules, optional_headers = {})
    PowerTrackV2::Rule.delete(url, rules, optional_headers)
  end

  def self.get_rules(url, optional_headers = {})
    PowerTrackV2::Rule.get(url, optional_headers)
  end

  def self.stream(url, opts = { ignore_heartbeat: true }, &block)
    PowerTrackV2::Stream.stream(url, opts, &block)
  end
end
